<div class="login-form">
  <form class="form-signin" [formGroup]="form" (ngSubmit)="register()" >
    <h2 class="form-signin-heading text-uppercase f-normal f-21">Create an account</h2>

    <div class="position-relative">
      <mat-form-field appearance="outline">
        <mat-label>First Name</mat-label>
        <input matInput type="text" formControlName="firstName" />
        <img src="../../assets/images/icons/outline_account_circle_black_1x.png" class="input-icon" />
        <mat-error *ngIf="firstName.invalid">First name is required</mat-error>
      </mat-form-field>
    </div>

    <div class="position-relative">
      <mat-form-field appearance="outline">
        <mat-label>Last Name</mat-label>
        <input matInput type="text" formControlName="lastName" />
        <img src="../../assets/images/icons/outline_account_circle_black_1x.png" class="input-icon" />
        <mat-error *ngIf="lastName.invalid">Last name is required</mat-error>
      </mat-form-field>
    </div>

    <div class="position-relative">
      <mat-form-field appearance="outline">
        <mat-label>Email</mat-label>
        <input matInput type="text" formControlName="email"  />
        <img src="../../assets/images/icons/outline_email_black_1x.png" class="input-icon" />
        <mat-error *ngIf="email.invalid && email.errors['required']">Please enter email.</mat-error>
        <mat-error *ngIf="email.invalid && email.errors['email']">Please enter a valid email address</mat-error>
        <mat-error *ngIf="email.invalid && email.errors['shouldBeUnique']">User with this email already exists.</mat-error>
      </mat-form-field>
    </div>

    <div class="position-relative">
      <mat-form-field appearance="outline">
        <mat-label>Password</mat-label>
        <input matInput type="password" formControlName="password" />
        <img src="../../assets/images/icons/outline_vpn_key_black_1x.png" class="input-icon" />
        <mat-error *ngIf="password.invalid">
          <span *ngIf="password.errors['required']">Please enter password</span>
          <span *ngIf="password.errors['minlength']">Password must be minimum 6 characters</span>
        </mat-error>
      </mat-form-field>
    </div>

    <div class="position-relative">
      <mat-form-field appearance="outline">
        <mat-label> Password (Confirm)</mat-label>
        <input matInput type="password" formControlName="confirmPassword" />
        <img src="../../assets/images/icons/outline_vpn_key_black_1x.png" class="input-icon" />
        <mat-error *ngIf="confirmPassword.invalid && confirmPassword.errors['required']">Please confirm the password</mat-error>
        <mat-error *ngIf="confirmPassword.errors && confirmPassword.errors['missmatch']">Confirm password does not match</mat-error>
      </mat-form-field>
      
    </div>

    <div class="text-center m-b-20">
      <mat-checkbox class="custom-checkbox" formControlName="terms">
        Accept
        <a>terms and conditions</a></mat-checkbox>
      <mat-error *ngIf="terms.dirty && terms.hasError('required')" class="custom-error">
        Please accept terms and condition</mat-error>
    </div>
    <mat-error *ngIf="form.hasError('postBackError')">{{postBackErrorMsg}}</mat-error>
    <button mat-raised-button [disabled]="showLoader" class="btn-block text-uppercase ">
      Create an account <i *ngIf="showLoader" class="fa fa-circle-o-notch m-l-15 fa-spin f-21"></i>
    </button>
    

    
    <div class="text-center m-t-20">
      <p>Already have an account?</p>
      <a class="f-blue" routerLink="/login">Login</a>
    </div>
  </form>
</div>